JDBC30DataHandler (Jython API documentation)
Date: 2012-08-13

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ziclix.python.sql
Class JDBC30DataHandler

    java.lang.Object
      com.ziclix.python.sql.DataHandler
          com.ziclix.python.sql.FilterDataHandler
              com.ziclix.python.sql.JDBC30DataHandler

    public class JDBC30DataHandler

extends FilterDataHandler

Support for JDBC 3.x additions, notably ParameterMetaData.

Author:
  brian zimmer

Constructor Summary
`JDBC30DataHandler(DataHandler datahandler)` Handle JDBC 3.0 additions.

Method Summary
`void` | `setJDBCObject(PreparedStatement stmt, int index, PyObject object)` Use ParameterMetaData if available to dynamically cast to the appropriate JDBC type.

Methods inherited from class com.ziclix.python.sql.FilterDataHandler
`__chain__, getPyObject, getRowId, postExecute, preExecute, setJDBCObject`

Methods inherited from class com.ziclix.python.sql.DataHandler
`checkNull, getMetaDataName, getProcedure, getPyObject, getSystemDataHandler, read, read, registerOut, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JDBC30DataHandler

    public JDBC30DataHandler(DataHandler datahandler)

  Handle JDBC 3.0 additions.

Method Detail

### setJDBCObject

    public void setJDBCObject(PreparedStatement stmt,
                              int index,
                              PyObject object)
                       throws SQLException

  Use ParameterMetaData if available to dynamically cast to the appropriate JDBC type.

  Overrides:
    `setJDBCObject` in class `FilterDataHandler`
  Parameters:
    `stmt` - the prepared statement
    `index` - the index currently being used
    `object` - the object to be set on the statement
  Throws:
    `SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage